org.eclipse.jetty.plus.jaas

## Class JAASUserPrincipal

- java.lang.Object
- - org.eclipse.jetty.plus.jaas.JAASUserPrincipal

- All Implemented Interfaces:
    Principal

      public class JAASUserPrincipal
      extends Object
      implements Principal

  JAASUserPrincipal

  Implements the JAAS version of the org.eclipse.jetty.http.UserPrincipal interface.

  Version:
    $Id: JAASUserPrincipal.java 4780 2009-03-17 15:36:08Z jesse $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JAASUserPrincipal(String name, Subject subject, LoginContext loginContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Get the name identifying the user
    `Subject` | `getSubject()` Provide access to the Subject
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.security.Principal

      `equals, hashCode`

- - ### Constructor Detail

    - #### JAASUserPrincipal

          public JAASUserPrincipal(String name,
                           Subject subject,
                           LoginContext loginContext)

  - ### Method Detail

    - #### getName

          public String getName()

      Get the name identifying the user
      Specified by:
        `getName` in interface `Principal`

    - #### getSubject

          public Subject getSubject()

      Provide access to the Subject
      Returns:
        subject

    - #### toString

          public String toString()

      Specified by:
        `toString` in interface `Principal`
      Overrides:
        `toString` in class `Object`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.